import React, { useEffect} from 'react';
import LevelItem from './LevelItem';

//const host = import.meta.env.VITE_API_URL;

//отвечает за список всех уровней. Передаём сюда пропсом массив уровней
const LevelList = (levels) => {
    return (
        <div>
            <div>
                <h1 style={{textAlign: 'center', fontFamily: 'courier, monospace', background: '#FF652F', borderRadius: '10px'}}>
                    Список существующих уровней:
                </h1>
            </div>
            {levels.levelItems.map((levelItem) =>
                <LevelItem 
                    levelItem={levelItem} 
                    key={levelItem.id}
                />
            )}
        </div>
    );
};

export default LevelList;